stages:
  - Build

# Variables section
variables:
  IMAGE_NAME: toolbox
  IMAGE_TAG: $CI_COMMIT_SHORT_SHA

#comment
build_image:
  stage: Build
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [""]
  script:
    - echo "${CI_COMMIT_TAG}"
    - |
      /kaniko/executor --context $CI_PROJECT_DIR/docker \
      --dockerfile $CI_PROJECT_DIR/Dockerfile \
      --destination "${CI_REGISTRY_IMAGE}:${CI_COMMIT_TAG}" \
      --destination "${CI_REGISTRY_IMAGE}:latest" \
      --cache=false \
      --cache-repo $CI_REGISTRY_IMAGE

  only:
    - tags
